Index: ext/bz2/bz2.c
===================================================================
RCS file: /repository/php-src/ext/bz2/bz2.c,v
retrieving revision 1.14.2.3.2.8
diff -u -r1.14.2.3.2.8 bz2.c
--- ext/bz2/bz2.c	17 Aug 2006 20:46:51 -0000	1.14.2.3.2.8
+++ ext/bz2/bz2.c	25 Sep 2006 03:50:48 -0000
@@ -371,7 +371,7 @@
 	convert_to_string_ex(mode);
 
 	if (Z_STRLEN_PP(mode) != 1 || (Z_STRVAL_PP(mode)[0] != 'r' && Z_STRVAL_PP(mode)[0] != 'w')) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "'%s' is not a valid mode for bzopen(). Only 'w' and 'r' are supported.", Z_STRVAL_PP(mode));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "'%s' is not a valid mode for bzopen(). Only 'w' and 'r' are supported", Z_STRVAL_PP(mode));
 		RETURN_FALSE;
 	}
 
Index: ext/bz2/bz2_filter.c
===================================================================
RCS file: /repository/php-src/ext/bz2/bz2_filter.c,v
retrieving revision 1.3.2.2.2.2
diff -u -r1.3.2.2.2.2 bz2_filter.c
--- ext/bz2/bz2_filter.c	23 Jun 2006 07:30:26 -0000	1.3.2.2.2.2
+++ ext/bz2/bz2_filter.c	25 Sep 2006 03:51:28 -0000
@@ -274,7 +274,7 @@
 	/* Create this filter */
 	data = pecalloc(1, sizeof(php_bz2_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes.", sizeof(php_bz2_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes", sizeof(php_bz2_filter_data));
 		return NULL;
 	}
 
@@ -287,14 +287,14 @@
 	data->strm.avail_out = data->outbuf_len = data->inbuf_len = 2048;
 	data->strm.next_in = data->inbuf = (char *) pemalloc(data->inbuf_len, persistent);
 	if (!data->inbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes.", data->inbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes", data->inbuf_len);
 		pefree(data, persistent);
 		return NULL;
 	}
 	data->strm.avail_in = 0;
 	data->strm.next_out = data->outbuf = (char *) pemalloc(data->outbuf_len, persistent);
 	if (!data->outbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes.", data->outbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zu bytes", data->outbuf_len);
 		pefree(data->inbuf, persistent);
 		pefree(data, persistent);
 		return NULL;
Index: ext/bz2/tests/001.phpt
===================================================================
RCS file: /repository/php-src/ext/bz2/tests/001.phpt,v
retrieving revision 1.1.2.3
diff -u -r1.1.2.3 001.phpt
--- ext/bz2/tests/001.phpt	26 Jun 2006 22:17:18 -0000	1.1.2.3
+++ ext/bz2/tests/001.phpt	25 Sep 2006 05:59:16 -0000
@@ -22,7 +22,7 @@
 Warning: Wrong parameter count for bzopen() in %s on line %d
 NULL
 
-Warning: bzopen(): '' is not a valid mode for bzopen(). Only 'w' and 'r' are supported. in %s on line %d
+Warning: bzopen(): '' is not a valid mode for bzopen(). Only 'w' and 'r' are supported in %s on line %d
 bool(false)
 
 Warning: bzopen(): filename cannot be empty in %s on line %d
@@ -31,10 +31,10 @@
 Warning: bzopen(): filename cannot be empty in %s on line %d
 bool(false)
 
-Warning: bzopen(): 'x' is not a valid mode for bzopen(). Only 'w' and 'r' are supported. in %s on line %d
+Warning: bzopen(): 'x' is not a valid mode for bzopen(). Only 'w' and 'r' are supported in %s on line %d
 bool(false)
 
-Warning: bzopen(): 'rw' is not a valid mode for bzopen(). Only 'w' and 'r' are supported. in %s on line %d
+Warning: bzopen(): 'rw' is not a valid mode for bzopen(). Only 'w' and 'r' are supported in %s on line %d
 bool(false)
 
 Warning: bzopen(no_such_file): failed to open stream: No such file or directory in %s on line %d
Index: ext/calendar/calendar.c
===================================================================
RCS file: /repository/php-src/ext/calendar/calendar.c,v
retrieving revision 1.46.2.2.2.1
diff -u -r1.46.2.2.2.1 calendar.c
--- ext/calendar/calendar.c	11 Jun 2006 01:42:16 -0000	1.46.2.2.2.1
+++ ext/calendar/calendar.c	25 Sep 2006 03:52:02 -0000
@@ -328,7 +328,7 @@
 
 
 	if (cal != -1 && (cal < 0 || cal >= CAL_NUM_CALS)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld.", cal);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld", cal);
 		RETURN_FALSE;
 	}
 
@@ -350,7 +350,7 @@
 	}
 
 	if (cal < 0 || cal >= CAL_NUM_CALS) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld.", cal);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld", cal);
 		RETURN_FALSE;
 	}
 
@@ -359,7 +359,7 @@
 	sdn_start = calendar->to_jd(year, month, 1);
 
 	if (sdn_start == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid date.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid date");
 		RETURN_FALSE;
 	}
 
@@ -385,7 +385,7 @@
 	}
 
 	if (cal < 0 || cal >= CAL_NUM_CALS) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld.", cal);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid calendar ID %ld", cal);
 		RETURN_FALSE;
 	}
 
@@ -615,7 +615,7 @@
 		RETURN_STRING(date, 1);
 	} else {
 		if (year <= 0 || year > 9999) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Year out of range (0-9999).");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Year out of range (0-9999)");
 			RETURN_FALSE;
 		}
 
Index: ext/curl/interface.c
===================================================================
RCS file: /repository/php-src/ext/curl/interface.c,v
retrieving revision 1.62.2.14.2.10
diff -u -r1.62.2.14.2.10 interface.c
--- ext/curl/interface.c	18 Sep 2006 16:11:50 -0000	1.62.2.14.2.10
+++ ext/curl/interface.c	25 Sep 2006 03:53:26 -0000
@@ -168,7 +168,7 @@
 		} 																						\
 															\
 		if (php_memnstr(str, tmp_url->path, strlen(tmp_url->path), str + len)) {				\
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "URL '%s' contains unencoded control characters.", str);	\
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "URL '%s' contains unencoded control characters", str);	\
 			RETURN_FALSE;											\
 		}													\
 																								\
@@ -955,7 +955,7 @@
 			strlcpy(buf, Z_STRVAL_P(retval), Z_STRLEN_P(retval));
 		}
 	} else {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "User handler '%s' did not return a string.", Z_STRVAL_P(func));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "User handler '%s' did not return a string", Z_STRVAL_P(func));
 	}
 	
 	zval_ptr_dtor(&argv[0]);
@@ -1604,7 +1604,7 @@
 	zend_hash_internal_pointer_reset_ex(Z_ARRVAL_P(arr), &pos);
 	while (zend_hash_get_current_data_ex(Z_ARRVAL_P(arr), (void **)&entry, &pos) == SUCCESS) {
 		if (zend_hash_get_current_key_ex(Z_ARRVAL_P(arr), &string_key, &str_key_len, &option, 0, &pos) == HASH_KEY_IS_STRING) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Array keys must be CURLOPT constants or equivalent interger values."); 
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Array keys must be CURLOPT constants or equivalent integer values");
 			RETURN_FALSE;
 		}
 		if (_php_curl_setopt(ch, option, entry, return_value TSRMLS_CC)) {
Index: ext/date/php_date.c
===================================================================
RCS file: /repository/php-src/ext/date/php_date.c,v
retrieving revision 1.43.2.45.2.30
diff -u -r1.43.2.45.2.30 php_date.c
--- ext/date/php_date.c	10 Sep 2006 17:01:51 -0000	1.43.2.45.2.30
+++ ext/date/php_date.c	25 Sep 2006 03:54:06 -0000
@@ -1018,7 +1018,7 @@
 
 	ret = php_idate(format[0], ts, 0);
 	if (ret == -1) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unrecognized date format token.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unrecognized date format token");
 		RETURN_FALSE;
 	}
 	RETURN_LONG(ret);
Index: ext/date/tests/005.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/005.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 005.phpt
--- ext/date/tests/005.phpt	27 Jun 2006 15:55:06 -0000	1.1.2.2
+++ ext/date/tests/005.phpt	25 Sep 2006 05:59:44 -0000
@@ -27,19 +27,19 @@
 Warning: idate() expects at most 2 parameters, 3 given in %s on line %d
 bool(false)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 
 Warning: idate(): idate format is one char in %s on line %d
 bool(false)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 int(41)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 
-Warning: idate(): Unrecognized date format token. in %s on line %d
+Warning: idate(): Unrecognized date format token in %s on line %d
 bool(false)
 Done
Index: ext/dbase/dbf_rec.c
===================================================================
RCS file: /repository/php-src/ext/dbase/dbf_rec.c,v
retrieving revision 1.10
diff -u -r1.10 dbf_rec.c
--- ext/dbase/dbf_rec.c	27 Nov 2003 10:15:20 -0000	1.10
+++ ext/dbase/dbf_rec.c	25 Sep 2006 03:54:30 -0000
@@ -137,7 +137,7 @@
 	/* Try to truncate the file to the right size. */
 	if (ftruncate(dbh->db_fd, out_off) != 0) {
 	    TSRMLS_FETCH();
-	    php_error_docref(NULL TSRMLS_CC, E_WARNING, "dbase_pack() couldn't truncate the file to the right size. Some deleted records may still be left in there.");
+	    php_error_docref(NULL TSRMLS_CC, E_WARNING, "dbase_pack() couldn't truncate the file to the right size. Some deleted records may still be left in there");
 	}
 
 	if (rec_cnt == 0)
Index: ext/dom/document.c
===================================================================
RCS file: /repository/php-src/ext/dom/document.c,v
retrieving revision 1.68.2.3.2.3
diff -u -r1.68.2.3.2.3 document.c
--- ext/dom/document.c	16 Sep 2006 19:07:35 -0000	1.68.2.3.2.3
+++ ext/dom/document.c	25 Sep 2006 03:54:54 -0000
@@ -2190,7 +2190,7 @@
 	}
 
 	if (basece == NULL || ! instanceof_function(basece, dom_node_class_entry TSRMLS_CC)) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from DOMNode.", baseclass);
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from DOMNode", baseclass);
 		return;
 	}
 
@@ -2207,11 +2207,11 @@
 		DOM_GET_OBJ(docp, id, xmlDocPtr, intern);
 
 		if (dom_set_doc_classmap(intern->document, basece, ce TSRMLS_CC) == FAILURE) {
-			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s could not be registered.", extendedclass);
+			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s could not be registered", extendedclass);
 		}
 		RETURN_TRUE;
 	} else {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from %s.", extendedclass, baseclass);
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Class %s is not derived from %s", extendedclass, baseclass);
 	}
 
 	RETURN_FALSE;
Index: ext/dom/node.c
===================================================================
RCS file: /repository/php-src/ext/dom/node.c,v
retrieving revision 1.37.2.3.2.5
diff -u -r1.37.2.3.2.5 node.c
--- ext/dom/node.c	16 Sep 2006 13:54:52 -0000	1.37.2.3.2.5
+++ ext/dom/node.c	25 Sep 2006 03:55:12 -0000
@@ -1724,7 +1724,7 @@
 					xmlXPathFreeObject(xpathobjp);
 				}
 				xmlXPathFreeContext(ctxp);
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset");
 				RETURN_FALSE;
 			}
 		}
@@ -1772,7 +1772,7 @@
 				xmlXPathFreeObject(xpathobjp);
 			}
 			xmlXPathFreeContext(ctxp);
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "XPath query did not return a nodeset");
 			RETURN_FALSE;
 		}
 	}
Index: ext/fbsql/php_fbsql.c
===================================================================
RCS file: /repository/php-src/ext/fbsql/php_fbsql.c,v
retrieving revision 1.114.2.3.2.3
diff -u -r1.114.2.3.2.3 php_fbsql.c
--- ext/fbsql/php_fbsql.c	14 Aug 2006 18:40:08 -0000	1.114.2.3.2.3
+++ ext/fbsql/php_fbsql.c	25 Sep 2006 03:57:46 -0000
@@ -907,7 +907,7 @@
 			md = fbcdcRollback(phpLink->connection);
 			if ( !mdOk(phpLink, md, "Rollback;") ) {
 				if (FB_SQL_G(generateWarnings)) {
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "FrontBase link is not connected, ty to reconnect.");
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "FrontBase link is not connected, ty to reconnect");
 				}
 				// Make sure select_db will reconnect.
 				fbcmdRelease(md);
@@ -1226,11 +1226,11 @@
 	}
 
 	if (Z_LVAL_PP(Locking) < 0 || Z_LVAL_PP(Locking) > 2) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locking type.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locking type");
 		RETURN_FALSE;
 	}
 	if (Z_LVAL_PP(Isolation) < 0 || Z_LVAL_PP(Isolation) > 4) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid isolation type.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid isolation type");
 		RETURN_FALSE;
 	}
 
Index: ext/ftp/ftp.c
===================================================================
RCS file: /repository/php-src/ext/ftp/ftp.c,v
retrieving revision 1.112.2.4
diff -u -r1.112.2.4 ftp.c
--- ext/ftp/ftp.c	3 Apr 2006 09:14:33 -0000	1.112.2.4
+++ ext/ftp/ftp.c	25 Sep 2006 03:59:38 -0000
@@ -810,7 +810,7 @@
 
 	if (resumepos > 0) {
 		if (resumepos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483647 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483647 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", resumepos);
@@ -907,7 +907,7 @@
 
 	if (startpos > 0) {
 		if (startpos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", startpos);
@@ -1598,7 +1598,7 @@
 
 
 	if ((tmpstream = php_stream_fopen_tmpfile()) == NULL) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to create temporary file.  Check permissions in temporary files directory.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to create temporary file.  Check permissions in temporary files directory");
 		return NULL;
 	}
 
@@ -1706,7 +1706,7 @@
 		 * since php is 32 bit by design, we bail out with warning
 		 */
 		if (resumepos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483648 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files greater than 2147483648 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", resumepos);
@@ -1824,7 +1824,7 @@
 	}
 	if (startpos > 0) {
 		if (startpos > 2147483647) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "PHP cannot handle files with a size greater than 2147483647 bytes");
 			goto bail;
 		}
 		sprintf(arg, "%u", startpos);
Index: ext/ftp/php_ftp.c
===================================================================
RCS file: /repository/php-src/ext/ftp/php_ftp.c,v
retrieving revision 1.103.2.2.2.1
diff -u -r1.103.2.2.2.1 php_ftp.c
--- ext/ftp/php_ftp.c	11 Jun 2006 20:03:05 -0000	1.103.2.2.2.1
+++ ext/ftp/php_ftp.c	25 Sep 2006 04:00:06 -0000
@@ -1024,7 +1024,7 @@
 	ZEND_FETCH_RESOURCE(ftp, ftpbuf_t*, &z_ftp, -1, le_ftpbuf_name, le_ftpbuf);
 
 	if (!ftp->nb) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "no nbronous transfer to continue.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "no nbronous transfer to continue");
 		RETURN_LONG(PHP_FTP_FAILED);
 	}
 
Index: ext/iconv/iconv.c
===================================================================
RCS file: /repository/php-src/ext/iconv/iconv.c,v
retrieving revision 1.124.2.8.2.7
diff -u -r1.124.2.8.2.7 iconv.c
--- ext/iconv/iconv.c	12 Sep 2006 17:26:34 -0000	1.124.2.8.2.7
+++ ext/iconv/iconv.c	25 Sep 2006 04:00:24 -0000
@@ -1942,7 +1942,7 @@
 	}
 
 	if (offset < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string");
 		RETURN_FALSE;
 	}
 
Index: ext/imap/php_imap.c
===================================================================
RCS file: /repository/php-src/ext/imap/php_imap.c,v
retrieving revision 1.208.2.7.2.6
diff -u -r1.208.2.7.2.6 php_imap.c
--- ext/imap/php_imap.c	24 Sep 2006 18:06:37 -0000	1.208.2.7.2.6
+++ ext/imap/php_imap.c	25 Sep 2006 04:00:46 -0000
@@ -3220,7 +3220,7 @@
 	}
 
 	if (bod && bod->type == TYPEMULTIPART && (!bod->nested.part || !bod->nested.part->next)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "cannot generate multipart e-mail without components.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "cannot generate multipart e-mail without components");
 		RETVAL_FALSE;
 		goto done;
 	}
Index: ext/ldap/ldap.c
===================================================================
RCS file: /repository/php-src/ext/ldap/ldap.c,v
retrieving revision 1.161.2.3.2.1
diff -u -r1.161.2.3.2.1 ldap.c
--- ext/ldap/ldap.c	15 Jun 2006 18:33:07 -0000	1.161.2.3.2.1
+++ ext/ldap/ldap.c	25 Sep 2006 04:01:40 -0000
@@ -893,11 +893,11 @@
 		RETVAL_FALSE; 
 	} else {
 		if (errno == LDAP_SIZELIMIT_EXCEEDED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Sizelimit exceeded.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Sizelimit exceeded");
 		}
 #ifdef LDAP_ADMINLIMIT_EXCEEDED
 		else if (errno == LDAP_ADMINLIMIT_EXCEEDED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Adminlimit exceeded.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Partial search results returned: Adminlimit exceeded");
 		}
 #endif
 		
Index: ext/mbstring/mbstring.c
===================================================================
RCS file: /repository/php-src/ext/mbstring/mbstring.c,v
retrieving revision 1.224.2.22.2.15
diff -u -r1.224.2.22.2.15 mbstring.c
--- ext/mbstring/mbstring.c	24 Sep 2006 07:10:54 -0000	1.224.2.22.2.15
+++ ext/mbstring/mbstring.c	25 Sep 2006 04:04:34 -0000
@@ -964,14 +964,14 @@
 				zend_hash_find(EG(function_table), p->ovld_func, strlen(p->ovld_func)+1 , (void **)&func);
 				
 				if (zend_hash_find(EG(function_table), p->orig_func, strlen(p->orig_func)+1, (void **)&orig) != SUCCESS) {
-					php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't find function %s.", p->orig_func);
+					php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't find function %s", p->orig_func);
 					return FAILURE;
 				} else {
 					zend_hash_add(EG(function_table), p->save_func, strlen(p->save_func)+1, orig, sizeof(zend_function), NULL);
 
 					if (zend_hash_update(EG(function_table), p->orig_func, strlen(p->orig_func)+1, func, sizeof(zend_function), 
 						NULL) == FAILURE) {
-						php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't replace function %s.", p->orig_func);
+						php_error_docref("ref.mbstring" TSRMLS_CC, E_WARNING, "mbstring couldn't replace function %s", p->orig_func);
 						return FAILURE;
 					}
 				}
@@ -1343,7 +1343,7 @@
 					MBSTRG(current_filter_illegal_mode) = MBFL_OUTPUTFILTER_ILLEGAL_MODE_CHAR;
 					MBSTRG(current_filter_illegal_substchar) = Z_LVAL_PP(arg1);
 				} else {
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character.");					  
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character");
 					RETVAL_FALSE;					
 				}
 			}
@@ -1354,7 +1354,7 @@
 				MBSTRG(current_filter_illegal_mode) = MBFL_OUTPUTFILTER_ILLEGAL_MODE_CHAR;
 				MBSTRG(current_filter_illegal_substchar) = Z_LVAL_PP(arg1);
 			} else {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown character");
 				RETVAL_FALSE;
 			}
 			break;
@@ -1618,16 +1618,16 @@
 		case 1:
 			break;
 		case 2:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Needle has not positive length.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Needle has non-positive length");
 			break;
 		case 4:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown encoding or conversion error.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown encoding or conversion error");
 			break;
 		case 8:
-			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "Argument is empty.");
+			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "Argument is empty");
 			break;
 		default:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown error in mb_strpos.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown error in mb_strpos");
 			break;			
 		}
 		RETVAL_FALSE;
@@ -3536,7 +3536,7 @@
 	extern void mbfl_memory_device_unput(mbfl_memory_device *device);
     
 	if (PG(safe_mode) && (ZEND_NUM_ARGS() == 5)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "SAFE MODE Restriction in effect.  The fifth parameter is disabled in SAFE MODE.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "SAFE MODE Restriction in effect.  The fifth parameter is disabled in SAFE MODE");
 		RETURN_FALSE;
 	}
     
Index: ext/mcrypt/mcrypt.c
===================================================================
RCS file: /repository/php-src/ext/mcrypt/mcrypt.c,v
retrieving revision 1.91.2.3.2.5
diff -u -r1.91.2.3.2.5 mcrypt.c
--- ext/mcrypt/mcrypt.c	26 Jun 2006 16:33:38 -0000	1.91.2.3.2.5
+++ ext/mcrypt/mcrypt.c	25 Sep 2006 04:05:20 -0000
@@ -226,7 +226,7 @@
 
 #define PHP_MCRYPT_INIT_CHECK	\
 	if (!pm->init) {	\
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Operation disallowed prior to mcrypt_generic_init().");	\
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Operation disallowed prior to mcrypt_generic_init()");	\
 		RETURN_FALSE;	\
 	}	\
 
Index: ext/mcrypt/tests/bug35496.phpt
===================================================================
RCS file: /repository/php-src/ext/mcrypt/tests/bug35496.phpt,v
retrieving revision 1.1.2.1
diff -u -r1.1.2.1 bug35496.phpt
--- ext/mcrypt/tests/bug35496.phpt	30 Nov 2005 23:51:25 -0000	1.1.2.1
+++ ext/mcrypt/tests/bug35496.phpt	25 Sep 2006 06:00:10 -0000
@@ -9,6 +9,6 @@
 mdecrypt_generic($td, "baz");
 ?>
 --EXPECTF--
-Warning: mcrypt_generic(): Operation disallowed prior to mcrypt_generic_init(). in %s/bug35496.php on line 3
+Warning: mcrypt_generic(): Operation disallowed prior to mcrypt_generic_init() in %s/bug35496.php on line 3
 
-Warning: mdecrypt_generic(): Operation disallowed prior to mcrypt_generic_init(). in %s/bug35496.php on line 4
+Warning: mdecrypt_generic(): Operation disallowed prior to mcrypt_generic_init() in %s/bug35496.php on line 4
Index: ext/mime_magic/mime_magic.c
===================================================================
RCS file: /repository/php-src/ext/mime_magic/mime_magic.c,v
retrieving revision 1.42.2.5.2.1
diff -u -r1.42.2.5.2.1 mime_magic.c
--- ext/mime_magic/mime_magic.c	15 Jun 2006 18:33:07 -0000	1.42.2.5.2.1
+++ ext/mime_magic/mime_magic.c	25 Sep 2006 04:07:38 -0000
@@ -1228,7 +1228,7 @@
 		break;
     default:
 		if(MIME_MAGIC_G(debug))
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid mode 0%o.", (unsigned int)stat_ssb.sb.st_mode);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid mode 0%o", (unsigned int)stat_ssb.sb.st_mode);
 		return MIME_MAGIC_ERROR;
     }
 
@@ -1631,7 +1631,7 @@
     default:
 		/*  bogosity, pretend that it just wasn't a match */
 		if(MIME_MAGIC_G(debug))
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mcheck().", m->type);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mcheck()", m->type);
 		return 0;
     }
 
@@ -1680,7 +1680,7 @@
 		/* bogosity, pretend it didn't match */
 		matched = 0;
 		if(MIME_MAGIC_G(debug))
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "mcheck: can't happen: invalid relation %d.", m->reln);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "mcheck: can't happen: invalid relation %d", m->reln);
 		break;
     }
 
@@ -1765,7 +1765,7 @@
     	{
     		TSRMLS_FETCH();
 			if(MIME_MAGIC_G(debug))
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid m->type (%d) in mprint().", m->type);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid m->type (%d) in mprint()", m->type);
 			return;
 		}
     }
@@ -1813,7 +1813,7 @@
     	{
     		TSRMLS_FETCH();
 			if(MIME_MAGIC_G(debug))
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mconvert().", m->type);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "invalid type %d in mconvert()", m->type);
 			return 0;
 		}
     }
Index: ext/mysql/php_mysql.c
===================================================================
RCS file: /repository/php-src/ext/mysql/php_mysql.c,v
retrieving revision 1.213.2.6.2.5
diff -u -r1.213.2.6.2.5 php_mysql.c
--- ext/mysql/php_mysql.c	2 Aug 2006 10:04:11 -0000	1.213.2.6.2.5
+++ ext/mysql/php_mysql.c	25 Sep 2006 04:09:04 -0000
@@ -1247,9 +1247,9 @@
     			mysql_result = mysql_use_result(&mysql->conn);
 				while ((row = mysql_fetch_row(mysql_result))) {
 					if (!strcmp("ALL", row[1])) {
-						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full tablescan (table %s, %s rows affected). Use EXPLAIN to optimize your query.", row[0], row[6]);
+						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full tablescan (table %s, %s rows affected). Use EXPLAIN to optimize your query", row[0], row[6]);
 					} else if (!strcmp("INDEX", row[1])) {
-						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full indexscan (table %s, %s rows affected). Use EXPLAIN to optimize your query.", row[0], row[6]);
+						php_error_docref("http://www.mysql.com/doc" TSRMLS_CC, E_WARNING, "Your query requires a full indexscan (table %s, %s rows affected). Use EXPLAIN to optimize your query", row[0], row[6]);
 					}
 				}
 				mysql_free_result(mysql_result);
@@ -1374,7 +1374,7 @@
 	}
 	
 	if (MySG(trace_mode) || !strcasecmp(get_active_function_name(TSRMLS_C), "mysql")) {
-		php_error_docref(NULL TSRMLS_CC, E_NOTICE, "This function is deprecated; use mysql_query() instead.");
+		php_error_docref(NULL TSRMLS_CC, E_NOTICE, "This function is deprecated; use mysql_query() instead");
 	}
 	
 	php_mysql_do_query_general(query, mysql_link, id, db, MYSQL_STORE_RESULT, return_value TSRMLS_CC);
@@ -1673,7 +1673,7 @@
 	Z_TYPE_P(return_value) = IS_STRING;
 
 	if (MySG(trace_mode)){
-		php_error_docref("function.mysql-real-escape-string" TSRMLS_CC, E_WARNING, "This function is deprecated; use mysql_real_escape_string() instead.");
+		php_error_docref("function.mysql-real-escape-string" TSRMLS_CC, E_WARNING, "This function is deprecated; use mysql_real_escape_string() instead");
 	}
 
 }
@@ -1944,7 +1944,7 @@
 	}
 
 	if ((result_type & MYSQL_BOTH) == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The result type should be either MYSQL_NUM, MYSQL_ASSOC or MYSQL_BOTH.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The result type should be either MYSQL_NUM, MYSQL_ASSOC or MYSQL_BOTH");
 	}
 	
 	ZEND_FETCH_RESOURCE(mysql_result, MYSQL_RES *, result, -1, "MySQL result", le_result);
Index: ext/mysqli/mysqli_api.c
===================================================================
RCS file: /repository/php-src/ext/mysqli/mysqli_api.c,v
retrieving revision 1.118.2.22.2.6
diff -u -r1.118.2.22.2.6 mysqli_api.c
--- ext/mysqli/mysqli_api.c	4 Aug 2006 22:13:59 -0000	1.118.2.22.2.6
+++ ext/mysqli/mysqli_api.c	25 Sep 2006 04:09:36 -0000
@@ -239,7 +239,7 @@
 	var_cnt = argc - start;
 
 	if (var_cnt != mysql_stmt_field_count(stmt->stmt)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Number of bind variables doesn't match number of fields in prepared statement.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Number of bind variables doesn't match number of fields in prepared statement");
 		efree(args);
 		RETURN_FALSE;
 	}
Index: ext/oci8/oci8_lob.c
===================================================================
RCS file: /repository/php-src/ext/oci8/oci8_lob.c,v
retrieving revision 1.7.2.6.2.6
diff -u -r1.7.2.6.2.6 oci8_lob.c
--- ext/oci8/oci8_lob.c	22 Aug 2006 11:09:12 -0000	1.7.2.6.2.6
+++ ext/oci8/oci8_lob.c	25 Sep 2006 04:11:12 -0000
@@ -62,7 +62,7 @@
 			/* these three are allowed */
 			break;
 		default:
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown descriptor type %ld.", type);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown descriptor type %ld", type);
 			return NULL;
 			break;
 	}
Index: ext/openssl/openssl.c
===================================================================
RCS file: /repository/php-src/ext/openssl/openssl.c,v
retrieving revision 1.98.2.5.2.21
diff -u -r1.98.2.5.2.21 openssl.c
--- ext/openssl/openssl.c	16 Sep 2006 12:05:12 -0000	1.98.2.5.2.21
+++ ext/openssl/openssl.c	25 Sep 2006 04:11:32 -0000
@@ -3133,7 +3133,7 @@
 
 	mdtype = php_openssl_get_evp_md_from_algo(signature_algo);
 	if (!mdtype) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm");
 		RETURN_FALSE;
 	}
 
@@ -3177,7 +3177,7 @@
 
 	mdtype = php_openssl_get_evp_md_from_algo(signature_algo);
 	if (!mdtype) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown signature algorithm");
 		RETURN_FALSE;
 	}
 
Index: ext/pcre/php_pcre.c
===================================================================
RCS file: /repository/php-src/ext/pcre/php_pcre.c,v
retrieving revision 1.168.2.9.2.11
diff -u -r1.168.2.9.2.11 php_pcre.c
--- ext/pcre/php_pcre.c	6 Sep 2006 16:30:59 -0000	1.168.2.9.2.11
+++ ext/pcre/php_pcre.c	25 Sep 2006 04:11:52 -0000
@@ -1260,7 +1260,7 @@
 		WRONG_PARAM_COUNT;
 	}
 	if (!is_callable_replace && Z_TYPE_PP(replace) == IS_ARRAY && Z_TYPE_PP(regex) != IS_ARRAY) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter mismatch, pattern is a string while replacement in an array.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter mismatch, pattern is a string while replacement in an array");
 		RETURN_FALSE;
 	}
 
Index: ext/pcre/tests/preg_replace2.phpt
===================================================================
RCS file: /repository/php-src/ext/pcre/tests/preg_replace2.phpt,v
retrieving revision 1.1.2.1
diff -u -r1.1.2.1 preg_replace2.phpt
--- ext/pcre/tests/preg_replace2.phpt	17 Jul 2006 11:39:13 -0000	1.1.2.1
+++ ext/pcre/tests/preg_replace2.phpt	25 Sep 2006 06:00:38 -0000
@@ -16,7 +16,7 @@
 
 ?>
 --EXPECTF--
-Warning: preg_replace(): Parameter mismatch, pattern is a string while replacement in an array. in %spreg_replace2.php on line 3
+Warning: preg_replace(): Parameter mismatch, pattern is a string while replacement in an array in %spreg_replace2.php on line 3
 bool(false)
 string(1) "c"
 array(3) {
Index: ext/pdo/pdo_dbh.c
===================================================================
RCS file: /repository/php-src/ext/pdo/pdo_dbh.c,v
retrieving revision 1.82.2.31.2.7
diff -u -r1.82.2.31.2.7 pdo_dbh.c
--- ext/pdo/pdo_dbh.c	21 Aug 2006 16:53:50 -0000	1.82.2.31.2.7
+++ ext/pdo/pdo_dbh.c	25 Sep 2006 04:12:18 -0000
@@ -1160,7 +1160,7 @@
 	}
 
 	if (!(dbh->cls_methods[kind] = pemalloc(sizeof(HashTable), dbh->is_persistent))) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "out of memory while allocating PDO methods.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "out of memory while allocating PDO methods");
 	}
 	zend_hash_init_ex(dbh->cls_methods[kind], 8, NULL, NULL, dbh->is_persistent, 0);
 
Index: ext/pspell/pspell.c
===================================================================
RCS file: /repository/php-src/ext/pspell/pspell.c,v
retrieving revision 1.45.2.4.2.2
diff -u -r1.45.2.4.2.2 pspell.c
--- ext/pspell/pspell.c	14 Aug 2006 20:08:18 -0000	1.45.2.4.2.2
+++ ext/pspell/pspell.c	25 Sep 2006 04:13:48 -0000
@@ -246,7 +246,7 @@
 	delete_pspell_config(config);
 
 	if(pspell_error_number(ret) != 0){
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s ", pspell_error_message(ret));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s", pspell_error_message(ret));
 		RETURN_FALSE;
 	}
 	
@@ -362,7 +362,7 @@
 	delete_pspell_config(config);
 
 	if(pspell_error_number(ret) != 0){
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s ", pspell_error_message(ret));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s", pspell_error_message(ret));
 		RETURN_FALSE;
 	}
 	
@@ -395,7 +395,7 @@
 	ret = new_pspell_manager(config);
 
 	if(pspell_error_number(ret) != 0){
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s ", pspell_error_message(ret));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL couldn't open the dictionary. reason: %s", pspell_error_message(ret));
 		RETURN_FALSE;
 	}
 	
@@ -460,7 +460,7 @@
 		}
 		delete_pspell_string_emulation(els);
 	}else{
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL had a problem. details: %s ", pspell_manager_error_message(manager));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "PSPELL had a problem. details: %s", pspell_manager_error_message(manager));
 		RETURN_FALSE;
 	}
 }
Index: ext/recode/recode.c
===================================================================
RCS file: /repository/php-src/ext/recode/recode.c,v
retrieving revision 1.37.2.1.2.1
diff -u -r1.37.2.1.2.1 recode.c
--- ext/recode/recode.c	15 Jun 2006 18:33:08 -0000	1.37.2.1.2.1
+++ ext/recode/recode.c	25 Sep 2006 04:14:10 -0000
@@ -154,7 +154,7 @@
 	
 	recode_buffer_to_buffer(request, str, str_len, &r, &r_len, &r_alen);
 	if (!r) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed");
 error_exit:
 		RETVAL_FALSE;
 	} else {
@@ -207,7 +207,7 @@
 	}
 	
 	if (!recode_file_to_file(request, in_fp, out_fp)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Recoding failed");
 		goto error_exit;
 	}
 
Index: ext/session/session.c
===================================================================
RCS file: /repository/php-src/ext/session/session.c,v
retrieving revision 1.417.2.8.2.14
diff -u -r1.417.2.8.2.14 session.c
--- ext/session/session.c	30 Aug 2006 16:24:40 -0000	1.417.2.8.2.14
+++ ext/session/session.c	25 Sep 2006 04:16:40 -0000
@@ -89,7 +89,7 @@
 
 #define SESSION_CHECK_ACTIVE_STATE	\
 	if (PS(session_status) == php_session_active) {	\
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "A session is active. You cannot change the session module's ini settings at this time.");	\
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "A session is active. You cannot change the session module's ini settings at this time");	\
 		return FAILURE;	\
 	}	\
 
@@ -593,13 +593,13 @@
 
 	IF_SESSION_VARS() {
 		if (!PS(serializer)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to encode session object.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to encode session object");
 			ret = NULL;
 		}
 		else if (PS(serializer)->encode(&ret, newlen TSRMLS_CC) == FAILURE)
 			ret = NULL;
 	} else {
-		 php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot encode non-existent session.");
+		 php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot encode non-existent session");
 	}
 
 	return ret;
@@ -608,12 +608,12 @@
 static void php_session_decode(const char *val, int vallen TSRMLS_DC)
 {
 	if (!PS(serializer)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to decode session object.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown session.serialize_handler. Failed to decode session object");
 		return;
 	}
 	if (PS(serializer)->decode(val, vallen TSRMLS_CC) == FAILURE) {
 		php_session_destroy(TSRMLS_C);
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to decode session object. Session has been destroyed.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to decode session object. Session has been destroyed");
 	}
 }
 
@@ -776,7 +776,7 @@
 	}
 
 	if (!PS(mod)) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "No storage module chosen - failed to initialize session.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "No storage module chosen - failed to initialize session");
 		return;
 	}
 
@@ -837,7 +837,7 @@
 		case HASH_KEY_IS_LONG:
 			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "The session bug compatibility code will not "
 					"try to locate the global variable $%lu due to its "
-					"numeric nature.", num_key);
+					"numeric nature", num_key);
 			break;
 	}
 	
Index: ext/session/tests/014.phpt
===================================================================
RCS file: /repository/php-src/ext/session/tests/014.phpt,v
retrieving revision 1.7
diff -u -r1.7 014.phpt
--- ext/session/tests/014.phpt	4 Jul 2005 13:09:14 -0000	1.7
+++ ext/session/tests/014.phpt	25 Sep 2006 06:00:52 -0000
@@ -35,8 +35,8 @@
 --EXPECTF--
 <a href="/link?PHPSESSID=abtest">
 
-Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time. in %s on line %d
+Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time in %s on line %d
 <a href="/link?PHPSESSID=abtest">
 
-Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time. in %s on line %d
+Warning: ini_set(): A session is active. You cannot change the session module's ini settings at this time in %s on line %d
 <a href="/link?PHPSESSID=abtest">
Index: ext/soap/soap.c
===================================================================
RCS file: /repository/php-src/ext/soap/soap.c,v
retrieving revision 1.156.2.28.2.13
diff -u -r1.156.2.28.2.13 soap.c
--- ext/soap/soap.c	22 Sep 2006 13:39:32 -0000	1.156.2.28.2.13
+++ ext/soap/soap.c	25 Sep 2006 04:18:32 -0000
@@ -698,7 +698,7 @@
 		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters");
 	}
 	if (name_length == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid parameter name.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid parameter name");
 	}
 
 #ifndef ZEND_ENGINE_2
@@ -723,10 +723,10 @@
 		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters");
 	}
 	if (ns_len == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid namespace.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid namespace");
 	}
 	if (name_len == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid header name.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid header name");
 	}
 
 	add_property_stringl(this_ptr, "namespace", ns, ns_len, 1);
@@ -747,7 +747,7 @@
 	} else if (Z_TYPE_P(actor) == IS_STRING && Z_STRLEN_P(actor) > 0) {
 		add_property_stringl(this_ptr, "actor", Z_STRVAL_P(actor), Z_STRLEN_P(actor), 1);
 	} else {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid actor.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid actor");
 	}
 }
 
@@ -782,13 +782,13 @@
 		  fault_code = Z_STRVAL_PP(t_code);
 		  fault_code_len = Z_STRLEN_PP(t_code);
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code.");
+			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code");
 		}
 	} else  {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code");
 	}
 	if (fault_code != NULL && fault_code_len == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid parameters. Invalid fault code");
 	}
 	if (name != NULL && name_len == 0) {
 		name = NULL;
@@ -1052,7 +1052,7 @@
 		    Z_TYPE_PP(tmp) == IS_STRING) {
 			service->uri = estrndup(Z_STRVAL_PP(tmp), Z_STRLEN_PP(tmp));
 		} else if (wsdl == NULL) {
-			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. 'uri' option is required in nonWSDL mode.");
+			php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. 'uri' option is required in nonWSDL mode");
 			return;
 		}
 
@@ -1067,7 +1067,7 @@
 		
 			encoding = xmlFindCharEncodingHandler(Z_STRVAL_PP(tmp));
     	if (encoding == NULL) {
-				php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. Invalid 'encoding' option - '%s'.", Z_STRVAL_PP(tmp));
+				php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. Invalid 'encoding' option - '%s'", Z_STRVAL_PP(tmp));
 	    } else {
 	      service->encoding = encoding;
 	    }
@@ -1099,7 +1099,7 @@
 		}
 
 	} else if (wsdl == NULL) {
-		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. 'uri' option is required in nonWSDL mode.");
+		php_error_docref(NULL TSRMLS_CC, E_ERROR, "Invalid arguments. 'uri' option is required in nonWSDL mode");
 	}
 
 	service->version = version;
Index: ext/soap/tests/bugs/bug31755.phpt
===================================================================
RCS file: /repository/php-src/ext/soap/tests/bugs/bug31755.phpt,v
retrieving revision 1.2.4.1
diff -u -r1.2.4.1 bug31755.phpt
--- ext/soap/tests/bugs/bug31755.phpt	11 May 2006 22:17:53 -0000	1.2.4.1
+++ ext/soap/tests/bugs/bug31755.phpt	25 Sep 2006 06:01:20 -0000
@@ -1,17 +1,17 @@
---TEST--

-Bug #31422 No Error-Logging on SoapServer-Side

---SKIPIF--

-<?php require_once('skipif.inc'); ?>

---FILE--

-<?php

-$client=new SOAPClient(null, array('location' => 'http://localhost',

-'uri' => 'myNS', 'exceptions' => false, 'trace' => true));

-

-$header = new SOAPHeader(null, 'foo', 'bar');

-

-$response= $client->__call('function', array(), null, $header);

-

-print $client->__getLastRequest();

-?>

---EXPECTF--

-Fatal error: SoapHeader::SoapHeader(): Invalid parameters. Invalid namespace. in %s on line %d

+--TEST--
+Bug #31422 No Error-Logging on SoapServer-Side
+--SKIPIF--
+<?php require_once('skipif.inc'); ?>
+--FILE--
+<?php
+$client=new SOAPClient(null, array('location' => 'http://localhost',
+'uri' => 'myNS', 'exceptions' => false, 'trace' => true));
+
+$header = new SOAPHeader(null, 'foo', 'bar');
+
+$response= $client->__call('function', array(), null, $header);
+
+print $client->__getLastRequest();
+?>
+--EXPECTF--
+Fatal error: SoapHeader::SoapHeader(): Invalid parameters. Invalid namespace in %s on line %d
Index: ext/sockets/sockets.c
===================================================================
RCS file: /repository/php-src/ext/sockets/sockets.c,v
retrieving revision 1.171.2.9.2.3
diff -u -r1.171.2.9.2.3 sockets.c
--- ext/sockets/sockets.c	31 Aug 2006 16:15:24 -0000	1.171.2.9.2.3
+++ ext/sockets/sockets.c	25 Sep 2006 04:18:56 -0000
@@ -399,7 +399,7 @@
 
 #else
 		/* No IPv6 specific hostname resolution is available on this system? */
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Host lookup failed: getaddrinfo() not available on this system.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Host lookup failed: getaddrinfo() not available on this system");
 		return 0;
 #endif
 
Index: ext/sqlite/sqlite.c
===================================================================
RCS file: /repository/php-src/ext/sqlite/sqlite.c,v
retrieving revision 1.166.2.13.2.4
diff -u -r1.166.2.13.2.4 sqlite.c
--- ext/sqlite/sqlite.c	16 Sep 2006 18:10:32 -0000	1.166.2.13.2.4
+++ ext/sqlite/sqlite.c	25 Sep 2006 04:19:34 -0000
@@ -126,7 +126,7 @@
 
 #define PHP_SQLITE_EMPTY_QUERY \
 	if (!sql_len) { \
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot execute empty query."); \
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot execute empty query"); \
 		RETURN_FALSE; \
 	}
 
Index: ext/standard/array.c
===================================================================
RCS file: /repository/php-src/ext/standard/array.c,v
retrieving revision 1.308.2.21.2.12
diff -u -r1.308.2.21.2.12 array.c
--- ext/standard/array.c	19 Sep 2006 09:35:27 -0000	1.308.2.21.2.12
+++ ext/standard/array.c	25 Sep 2006 03:29:14 -0000
@@ -605,7 +605,7 @@
 /* check if comparison function is valid */
 #define PHP_ARRAY_CMP_FUNC_CHECK(func_name)	\
 	if (!zend_is_callable(*func_name, 0, NULL)) {	\
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid comparison function.");	\
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid comparison function");	\
         BG(user_compare_fci_cache) = old_user_compare_fci_cache; \
 		BG(user_compare_func_name) = old_compare_func;	\
 		RETURN_FALSE;	\
@@ -3008,7 +3008,7 @@
 				intersect_data_compare_func = array_user_compare;
 				BG(user_compare_func_name) = args[arr_argc + 1];/* data - key */
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "data_compare_type is %d. key_compare_type is %d. This should never happen. Please report as a bug.", data_compare_type, key_compare_type);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "data_compare_type is %d. key_compare_type is %d. This should never happen. Please report as a bug", data_compare_type, key_compare_type);
 			return;
 		}		
 	} else {
Index: ext/standard/basic_functions.c
===================================================================
RCS file: /repository/php-src/ext/standard/basic_functions.c,v
retrieving revision 1.725.2.31.2.25
diff -u -r1.725.2.31.2.25 basic_functions.c
--- ext/standard/basic_functions.c	19 Sep 2006 23:44:30 -0000	1.725.2.31.2.25
+++ ext/standard/basic_functions.c	25 Sep 2006 03:30:02 -0000
@@ -4449,7 +4449,7 @@
 		}
 	}
 
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid parameter syntax.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid parameter syntax");
 	RETURN_FALSE;
 }
 /* }}} */
@@ -4763,7 +4763,7 @@
 
 	c_ts = (double)(d_ts - tm.tv_sec - tm.tv_usec / 1000000.00);
 	if (c_ts < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sleep until to time is less than current time.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sleep until to time is less than current time");
 		RETURN_FALSE;
 	}
 
@@ -6208,10 +6208,10 @@
 
 	if (!prefix_len) {
 		if (!hash_key->nKeyLength) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Numeric key detected - possible security hazard.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Numeric key detected - possible security hazard");
 			return 0;
 		} else if (!strcmp(hash_key->arKey, "GLOBALS")) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Attempted GLOBALS variable overwrite.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Attempted GLOBALS variable overwrite");
 			return 0; 
 		}
 	}
Index: ext/standard/browscap.c
===================================================================
RCS file: /repository/php-src/ext/standard/browscap.c,v
retrieving revision 1.85.2.2
diff -u -r1.85.2.2 browscap.c
--- ext/standard/browscap.c	1 Jan 2006 12:50:14 -0000	1.85.2.2
+++ ext/standard/browscap.c	25 Sep 2006 03:30:20 -0000
@@ -290,7 +290,7 @@
 	char *browscap = INI_STR("browscap");
 
 	if (!browscap || !browscap[0]) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "browscap ini directive not set.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "browscap ini directive not set");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/dl.c
===================================================================
RCS file: /repository/php-src/ext/standard/dl.c,v
retrieving revision 1.106.2.1
diff -u -r1.106.2.1 dl.c
--- ext/standard/dl.c	1 Jan 2006 12:50:14 -0000	1.106.2.1
+++ ext/standard/dl.c	25 Sep 2006 03:30:44 -0000
@@ -160,7 +160,7 @@
 
 	if (!get_module) {
 		DL_UNLOAD(handle);
-		php_error_docref(NULL TSRMLS_CC, error_type, "Invalid library (maybe not a PHP library) '%s' ", Z_STRVAL_P(file));
+		php_error_docref(NULL TSRMLS_CC, error_type, "Invalid library (maybe not a PHP library) '%s'", Z_STRVAL_P(file));
 		RETURN_FALSE;
 	}
 	module_entry = get_module();
Index: ext/standard/exec.c
===================================================================
RCS file: /repository/php-src/ext/standard/exec.c,v
retrieving revision 1.113.2.3
diff -u -r1.113.2.3 exec.c
--- ext/standard/exec.c	26 Feb 2006 10:49:50 -0000	1.113.2.3
+++ ext/standard/exec.c	25 Sep 2006 03:30:58 -0000
@@ -463,7 +463,7 @@
 	errno = 0;
 	nice(pri);
 	if (errno) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Only a super user may attempt to increase the priority of a process.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Only a super user may attempt to increase the priority of a process");
 		RETURN_FALSE;
 	}
 	
Index: ext/standard/file.c
===================================================================
RCS file: /repository/php-src/ext/standard/file.c,v
retrieving revision 1.409.2.6.2.6
diff -u -r1.409.2.6.2.6 file.c
--- ext/standard/file.c	18 Aug 2006 12:50:57 -0000	1.409.2.6.2.6
+++ ext/standard/file.c	25 Sep 2006 03:31:16 -0000
@@ -535,7 +535,7 @@
 	}
 
 	if (offset > 0 && php_stream_seek(stream, offset, SEEK_SET) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream.", offset);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream", offset);
 		RETURN_FALSE;
 	}
 
Index: ext/standard/filters.c
===================================================================
RCS file: /repository/php-src/ext/standard/filters.c,v
retrieving revision 1.44.2.6.2.3
diff -u -r1.44.2.6.2.3 filters.c
--- ext/standard/filters.c	4 Sep 2006 19:14:59 -0000	1.44.2.6.2.3
+++ ext/standard/filters.c	25 Sep 2006 03:32:04 -0000
@@ -1880,7 +1880,7 @@
 	/* Create this filter */
 	data = pecalloc(1, sizeof(php_consumed_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zd bytes.", sizeof(php_consumed_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %zd bytes", sizeof(php_consumed_filter_data));
 		return NULL;
 	}
 	data->persistent = persistent;
Index: ext/standard/http.c
===================================================================
RCS file: /repository/php-src/ext/standard/http.c,v
retrieving revision 1.14.2.4.2.1
diff -u -r1.14.2.4.2.1 http.c
--- ext/standard/http.c	24 Jul 2006 18:03:45 -0000	1.14.2.4.2.1
+++ ext/standard/http.c	25 Sep 2006 03:33:04 -0000
@@ -76,7 +76,7 @@
 		}
 
 		if (zend_hash_get_current_data_ex(ht, (void **)&zdata, NULL) == FAILURE || !zdata || !(*zdata)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Error traversing form data array.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Error traversing form data array");
 			return FAILURE;
 		}
 		if (Z_TYPE_PP(zdata) == IS_ARRAY || Z_TYPE_PP(zdata) == IS_OBJECT) {
@@ -203,7 +203,7 @@
 	}
 
 	if (Z_TYPE_P(formdata) != IS_ARRAY && Z_TYPE_P(formdata) != IS_OBJECT) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter 1 expected to be Array or Object.  Incorrect value given.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parameter 1 expected to be Array or Object.  Incorrect value given");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/http_fopen_wrapper.c
===================================================================
RCS file: /repository/php-src/ext/standard/http_fopen_wrapper.c,v
retrieving revision 1.99.2.12.2.1
diff -u -r1.99.2.12.2.1 http_fopen_wrapper.c
--- ext/standard/http_fopen_wrapper.c	29 Jun 2006 14:40:49 -0000	1.99.2.12.2.1
+++ ext/standard/http_fopen_wrapper.c	25 Sep 2006 03:33:20 -0000
@@ -108,7 +108,7 @@
 	tmp_line[0] = '\0';
 
 	if (redirect_max < 1) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Redirection limit reached, aborting.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Redirection limit reached, aborting");
 		return NULL;
 	}
 
Index: ext/standard/image.c
===================================================================
RCS file: /repository/php-src/ext/standard/image.c,v
retrieving revision 1.114.2.2.2.2
diff -u -r1.114.2.2.2.2 image.c
--- ext/standard/image.c	25 Jun 2006 21:08:28 -0000	1.114.2.2.2.2
+++ ext/standard/image.c	25 Sep 2006 03:33:36 -0000
@@ -1317,7 +1317,7 @@
 #if HAVE_ZLIB && !defined(COMPILE_DL_ZLIB)
 			result = php_handle_swc(stream TSRMLS_CC);
 #else
-			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "The image is a compressed SWF file, but you do not have a static version of the zlib extension enabled.");
+			php_error_docref(NULL TSRMLS_CC, E_NOTICE, "The image is a compressed SWF file, but you do not have a static version of the zlib extension enabled");
 
 #endif
 			break;
Index: ext/standard/mail.c
===================================================================
RCS file: /repository/php-src/ext/standard/mail.c,v
retrieving revision 1.87.2.1
diff -u -r1.87.2.1 mail.c
--- ext/standard/mail.c	1 Jan 2006 12:50:15 -0000	1.87.2.1
+++ ext/standard/mail.c	25 Sep 2006 03:34:00 -0000
@@ -90,7 +90,7 @@
 	char *to_r, *subject_r;
 
 	if (PG(safe_mode) && (ZEND_NUM_ARGS() == 5)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "SAFE MODE Restriction in effect.  The fifth parameter is disabled in SAFE MODE.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "SAFE MODE Restriction in effect.  The fifth parameter is disabled in SAFE MODE");
 		RETURN_FALSE;
 	}	
 	
Index: ext/standard/php_fopen_wrapper.c
===================================================================
RCS file: /repository/php-src/ext/standard/php_fopen_wrapper.c,v
retrieving revision 1.45.2.4.2.2
diff -u -r1.45.2.4.2.2 php_fopen_wrapper.c
--- ext/standard/php_fopen_wrapper.c	5 Jul 2006 17:38:14 -0000	1.45.2.4.2.2
+++ ext/standard/php_fopen_wrapper.c	25 Sep 2006 03:34:14 -0000
@@ -207,7 +207,7 @@
 		pathdup = estrndup(path + 6, strlen(path + 6));
 		p = strstr(pathdup, "/resource=");
 		if (!p) {
-			php_error_docref(NULL TSRMLS_CC, E_RECOVERABLE_ERROR, "No URL resource specified.");
+			php_error_docref(NULL TSRMLS_CC, E_RECOVERABLE_ERROR, "No URL resource specified");
 			efree(pathdup);
 			return NULL;
 		}
Index: ext/standard/streamsfuncs.c
===================================================================
RCS file: /repository/php-src/ext/standard/streamsfuncs.c,v
retrieving revision 1.58.2.6.2.6
diff -u -r1.58.2.6.2.6 streamsfuncs.c
--- ext/standard/streamsfuncs.c	11 Sep 2006 14:52:21 -0000	1.58.2.6.2.6
+++ ext/standard/streamsfuncs.c	25 Sep 2006 03:36:18 -0000
@@ -357,7 +357,7 @@
 	}
 
 	if (to_read <= 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length parameter must be greater than 0.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length parameter must be greater than 0");
 		RETURN_FALSE;
 	}
 	
@@ -406,7 +406,7 @@
 	php_stream_from_zval(stream, &zsrc);
 
 	if (pos > 0 && php_stream_seek(stream, pos, SEEK_SET) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream.", pos);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream", pos);
 		RETURN_FALSE;
 	}
 
@@ -442,7 +442,7 @@
 	php_stream_from_zval(dest, &zdest);
 
 	if (pos > 0 && php_stream_seek(src, pos, SEEK_SET) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream.", pos);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed to seek to position %ld in the stream", pos);
 		RETURN_FALSE;
 	}
 
@@ -757,10 +757,10 @@
 		convert_to_long_ex(sec);
 
 		if (Z_LVAL_PP(sec) < 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The seconds parameter must be greater than 0.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The seconds parameter must be greater than 0");
 			RETURN_FALSE;
 		} else if (usec < 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The microseconds parameter must be greater than 0.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "The microseconds parameter must be greater than 0");
 			RETURN_FALSE;
 		}
 
@@ -945,7 +945,7 @@
 	}
 	context = decode_context_param(zcontext TSRMLS_CC);
 	if (!context) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter");
 		RETURN_FALSE;
 	}
 
@@ -975,7 +975,7 @@
 	/* figure out where the context is coming from exactly */
 	context = decode_context_param(zcontext TSRMLS_CC);
 	if (!context) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter");
 		RETURN_FALSE;
 	}
 
@@ -1002,7 +1002,7 @@
 
 	context = decode_context_param(zcontext TSRMLS_CC);
 	if (!context) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid stream/context parameter");
 		RETURN_FALSE;
 	}
 
@@ -1186,7 +1186,7 @@
 	}
 
 	if (max_length < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The maximum allowed length must be greater than or equal to zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The maximum allowed length must be greater than or equal to zero");
 		RETURN_FALSE;
 	}
 	if (!max_length) {
Index: ext/standard/string.c
===================================================================
RCS file: /repository/php-src/ext/standard/string.c,v
retrieving revision 1.445.2.14.2.19
diff -u -r1.445.2.14.2.19 string.c
--- ext/standard/string.c	31 Aug 2006 14:21:21 -0000	1.445.2.14.2.19
+++ ext/standard/string.c	25 Sep 2006 03:39:56 -0000
@@ -506,22 +506,22 @@
 			/* Error, try to be as helpful as possible:
 			   (a range ending/starting with '.' won't be captured here) */
 			if (end-len >= input) { /* there was no 'left' char */
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the left of '..'.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the left of '..'");
 				result = FAILURE;
 				continue;
 			}
 			if (input+2 >= end) { /* there is no 'right' char */
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the right of '..'.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, no character to the right of '..'");
 				result = FAILURE;
 				continue;
 			}
 			if (input[-1] > input[2]) { /* wrong order */
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, '..'-range needs to be incrementing.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range, '..'-range needs to be incrementing");
 				result = FAILURE;
 				continue;
 			} 
 			/* FIXME: better error (a..b..c is the only left possibility?) */
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid '..'-range");
 			result = FAILURE;
 			continue;
 		} else {
@@ -649,7 +649,7 @@
 	}
 
 	if (linelength == 0 && docut) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Can't force cut when width is zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Can't force cut when width is zero");
 		RETURN_FALSE;
 	}
 
@@ -852,7 +852,7 @@
 	}
 
 	if (! Z_STRLEN_PP(delim)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 		RETURN_FALSE;
 	}
 
@@ -974,7 +974,7 @@
 
 	if (argc == 1) {
 		if (Z_TYPE_PP(arg1) != IS_ARRAY) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Argument to implode must be an array.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Argument to implode must be an array");
 			return;
 		}
 
@@ -994,7 +994,7 @@
 			convert_to_string_ex(arg1);
 			delim = *arg1;
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Bad arguments.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Bad arguments");
 			return;
 		}
 	}
@@ -1530,7 +1530,7 @@
 
 	if (Z_TYPE_PP(needle) == IS_STRING) {
 		if (!Z_STRLEN_PP(needle)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 			efree(haystack_orig);
 			RETURN_FALSE;
 		}
@@ -1578,7 +1578,7 @@
 
 	if (Z_TYPE_PP(needle) == IS_STRING) {
 		if (!Z_STRLEN_PP(needle)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 			RETURN_FALSE;
 		}
 
@@ -1631,13 +1631,13 @@
 	}
 
 	if (offset < 0 || offset > Z_STRLEN_PP(haystack)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string");
 		RETURN_FALSE;
 	}
 
 	if (Z_TYPE_PP(needle) == IS_STRING) {
 		if (!Z_STRLEN_PP(needle)) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty delimiter");
 			RETURN_FALSE;
 		}
 
@@ -1681,7 +1681,7 @@
 	}
 
 	if (offset < 0 || offset > haystack_len) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset not contained in string");
 		RETURN_FALSE;
 	}
 
@@ -1711,7 +1711,7 @@
 				needle_char[0] = tolower((char) Z_DVAL_P(needle));
 				break;
 			default:
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "needle is not a string or an integer.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "needle is not a string or an integer");
 				efree(haystack_dup);
 				RETURN_FALSE;
 				break;
@@ -1989,7 +1989,7 @@
 	}
 
 	if (chunklen <= 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Chunk length should be greater than zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Chunk length should be greater than zero");
 		RETURN_FALSE;
 	}
 
@@ -2124,7 +2124,7 @@
 			|| 
 			(argc == 4 && Z_TYPE_PP(from) != Z_TYPE_PP(len))
 		) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "'from' and 'len' should be of same type - numerical or array ");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "'from' and 'len' should be of same type - numerical or array");
 			RETURN_STRINGL(Z_STRVAL_PP(str), Z_STRLEN_PP(str), 1);		
 		}
 		if (argc == 4 && Z_TYPE_PP(from) == IS_ARRAY) {
@@ -2186,7 +2186,7 @@
 			result[result_len] = '\0';
 			RETURN_STRINGL(result, result_len, 0);
 		} else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Functionality of 'from' and 'len' as arrays is not implemented.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Functionality of 'from' and 'len' as arrays is not implemented");
 			RETURN_STRINGL(Z_STRVAL_PP(str), Z_STRLEN_PP(str), 1);	
 		}
 	} else { /* str is array of strings */
@@ -2582,7 +2582,7 @@
 	}
 	
 	if (ac == 2 && Z_TYPE_PP(from) != IS_ARRAY) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The second argument is not an array.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The second argument is not an array");
 		RETURN_FALSE;
 	}
 
@@ -3876,7 +3876,7 @@
 		cat = Z_LVAL_PP(pcategory);
 	} else { /* FIXME: The following behaviour should be removed. */
 		char *category;
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Passing locale category name as string is deprecated. Use the LC_* -constants instead.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Passing locale category name as string is deprecated. Use the LC_* -constants instead");
 		convert_to_string_ex(pcategory);
 		category = Z_STRVAL_P(*pcategory);
 
@@ -3897,7 +3897,7 @@
 		else if (!strcasecmp ("LC_TIME", category))
 			cat = LC_TIME;
 		else {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locale category name %s, must be one of LC_ALL, LC_COLLATE, LC_CTYPE, LC_MONETARY, LC_NUMERIC, or LC_TIME.", category);
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid locale category name %s, must be one of LC_ALL, LC_COLLATE, LC_CTYPE, LC_MONETARY, LC_NUMERIC, or LC_TIME", category);
 			efree(args);
 			RETURN_FALSE;
 		}
@@ -4311,7 +4311,7 @@
 	convert_to_long_ex(mult);
 	
 	if (Z_LVAL_PP(mult) < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Second argument has to be greater than or equal to 0.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Second argument has to be greater than or equal to 0");
 		return;
 	}
 
@@ -4375,7 +4375,7 @@
 		mymode = Z_LVAL_PP(mode);
 		
 		if (mymode < 0 || mymode > 4) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown mode.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unknown mode");
 			RETURN_FALSE;
 		}
 	}
@@ -4566,7 +4566,7 @@
 	convert_to_string_ex(needle);
 
 	if (Z_STRLEN_PP(needle) == 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty substring.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Empty substring");
 		RETURN_FALSE;
 	}
 	
@@ -4576,22 +4576,22 @@
 	if (ac > 2) {
 		convert_to_long_ex(offset);
 		if (Z_LVAL_PP(offset) < 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset should be greater than or equal to 0.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset should be greater than or equal to 0");
 			RETURN_FALSE;		
 		}
 		p += Z_LVAL_PP(offset);
 		if (p > endp) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset value %ld exceeds string length.", Z_LVAL_PP(offset));
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Offset value %ld exceeds string length", Z_LVAL_PP(offset));
 			RETURN_FALSE;		
 		}
 		if (ac == 4) {
 			convert_to_long_ex(length);
 			if (Z_LVAL_PP(length) <= 0) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length should be greater than 0.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length should be greater than 0");
 				RETURN_FALSE;		
 			}
 			if ((p + Z_LVAL_PP(length)) > endp) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length value %ld exceeds string length.", Z_LVAL_PP(length));
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Length value %ld exceeds string length", Z_LVAL_PP(length));
 				RETURN_FALSE;
 			}
 			endp = p + Z_LVAL_PP(length);
@@ -4657,7 +4657,7 @@
 	if (ZEND_NUM_ARGS() > 2) {
 		convert_to_string_ex(pad_string);
 		if (Z_STRLEN_PP(pad_string) == 0) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding string cannot be empty.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding string cannot be empty");
 			return;
 		}
 		pad_str_val = Z_STRVAL_PP(pad_string);
@@ -4667,7 +4667,7 @@
 			convert_to_long_ex(pad_type);
 			pad_type_val = Z_LVAL_PP(pad_type);
 			if (pad_type_val < STR_PAD_LEFT || pad_type_val > STR_PAD_BOTH) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding type has to be STR_PAD_LEFT, STR_PAD_RIGHT, or STR_PAD_BOTH.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Padding type has to be STR_PAD_LEFT, STR_PAD_RIGHT, or STR_PAD_BOTH");
 				return;
 			}
 		}
@@ -4922,7 +4922,7 @@
 	}
 
 	if (split_length <= 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The length of each segment must be greater than zero.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The length of each segment must be greater than zero");
 		RETURN_FALSE;
 	}
 
@@ -4960,7 +4960,7 @@
 	}
 
 	if (!char_list_len) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The character list cannot be empty.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The character list cannot be empty");
 		RETURN_FALSE;	
 	}
 
Index: ext/standard/uniqid.c
===================================================================
RCS file: /repository/php-src/ext/standard/uniqid.c,v
retrieving revision 1.41.2.2
diff -u -r1.41.2.2 uniqid.c
--- ext/standard/uniqid.c	1 Jan 2006 12:50:15 -0000	1.41.2.2
+++ ext/standard/uniqid.c	25 Sep 2006 03:40:22 -0000
@@ -61,7 +61,7 @@
 #if HAVE_USLEEP && !defined(PHP_WIN32)
 	if (!more_entropy) {
 #if defined(__CYGWIN__)
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "You must use 'more entropy' under CYGWIN.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "You must use 'more entropy' under CYGWIN");
 		RETURN_FALSE;
 #else
 		usleep(1);
Index: ext/standard/url.c
===================================================================
RCS file: /repository/php-src/ext/standard/url.c,v
retrieving revision 1.86.2.5.2.3
diff -u -r1.86.2.5.2.3 url.c
--- ext/standard/url.c	23 Sep 2006 11:58:58 -0000	1.86.2.5.2.3
+++ ext/standard/url.c	25 Sep 2006 03:40:34 -0000
@@ -375,7 +375,7 @@
 				if (resource->fragment != NULL) RETVAL_STRING(resource->fragment, 1);
 				break;
 			default:
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid URL component identifier %ld.", key);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid URL component identifier %ld", key);
 				RETVAL_FALSE;
 		}
 		goto done;
Index: ext/standard/uuencode.c
===================================================================
RCS file: /repository/php-src/ext/standard/uuencode.c,v
retrieving revision 1.5.2.1.2.1
diff -u -r1.5.2.1.2.1 uuencode.c
--- ext/standard/uuencode.c	26 Jun 2006 18:48:56 -0000	1.5.2.1.2.1
+++ ext/standard/uuencode.c	25 Sep 2006 03:40:50 -0000
@@ -213,7 +213,7 @@
 
 	dst_len = php_uudecode(src, src_len, &dst);
 	if (dst_len < 0) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The given parameter is not a valid uuencoded string.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "The given parameter is not a valid uuencoded string");
 		RETURN_FALSE;
 	}
 
Index: ext/standard/var.c
===================================================================
RCS file: /repository/php-src/ext/standard/var.c,v
retrieving revision 1.203.2.7.2.7
diff -u -r1.203.2.7.2.7 var.c
--- ext/standard/var.c	25 Jul 2006 16:41:04 -0000	1.203.2.7.2.7
+++ ext/standard/var.c	25 Sep 2006 03:41:20 -0000
@@ -600,7 +600,7 @@
 			if (Z_TYPE_PP(name) != IS_STRING) {
 				php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only "
 						"containing the names of instance-variables to "
-						"serialize.");
+						"serialize");
 				/* we should still add element even if it's not OK,
 				   since we already wrote the length of the array before */
 				smart_str_appendl(buf,"N;", 2);
@@ -751,7 +751,7 @@
 							} else {
 								php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only "
 												 "containing the names of instance-variables to "
-												 "serialize.");
+												 "serialize");
 								/* we should still add element even if it's not OK,
 				   				since we already wrote the length of the array before */
 								smart_str_appendl(buf,"N;", 2);
Index: ext/sybase/php_sybase_db.c
===================================================================
RCS file: /repository/php-src/ext/sybase/php_sybase_db.c,v
retrieving revision 1.66.2.5
diff -u -r1.66.2.5 php_sybase_db.c
--- ext/sybase/php_sybase_db.c	1 Jan 2006 12:50:16 -0000	1.66.2.5
+++ ext/sybase/php_sybase_db.c	25 Sep 2006 04:20:26 -0000
@@ -938,7 +938,7 @@
 		/* Check assumption that dbnextrow returns NO_MORE_ROWS */
 		retvalue = dbnextrow(sybase_ptr->link);
 		if (retvalue != NO_MORE_ROWS) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING,"Expected dbnextrow() to return NO_MORE_ROWS.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Expected dbnextrow() to return NO_MORE_ROWS");
 		}
 	}
 }
Index: ext/sybase_ct/php_sybase_ct.c
===================================================================
RCS file: /repository/php-src/ext/sybase_ct/php_sybase_ct.c,v
retrieving revision 1.103.2.5.2.6
diff -u -r1.103.2.5.2.6 php_sybase_ct.c
--- ext/sybase_ct/php_sybase_ct.c	25 Jul 2006 09:20:32 -0000	1.103.2.5.2.6
+++ ext/sybase_ct/php_sybase_ct.c	25 Sep 2006 04:21:00 -0000
@@ -512,16 +512,16 @@
 
 	if (charset) {
 		if (cs_loc_alloc(SybCtG(context), &tmp_locale)!=CS_SUCCEED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to allocate locale information.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to allocate locale information");
 		} else {
 			if (cs_locale(SybCtG(context), CS_SET, tmp_locale, CS_LC_ALL, NULL, CS_NULLTERM, NULL)!=CS_SUCCEED) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to load default locale data.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to load default locale data");
 			} else {
 				if (cs_locale(SybCtG(context), CS_SET, tmp_locale, CS_SYB_CHARSET, charset, CS_NULLTERM, NULL)!=CS_SUCCEED) {
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update character set.");
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update character set");
 				} else {
 					if (ct_con_props(sybase->connection, CS_SET, CS_LOC_PROP, tmp_locale, CS_UNUSED, NULL)!=CS_SUCCEED) {
-						php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection properties.");
+						php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection properties");
 					}
 				}
 			}
@@ -530,7 +530,7 @@
 	
 	if (cfg_get_long("sybct.packet_size", &packetsize) == SUCCESS) {
 		if (ct_con_props(sybase->connection, CS_SET, CS_PACKETSIZE, (CS_VOID *)&packetsize, CS_UNUSED, NULL) != CS_SUCCEED) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection packetsize.");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Sybase: Unable to update connection packetsize");
 		}
 	}
 
Index: ext/sysvmsg/sysvmsg.c
===================================================================
RCS file: /repository/php-src/ext/sysvmsg/sysvmsg.c,v
retrieving revision 1.20.2.3.2.1
diff -u -r1.20.2.3.2.1 sysvmsg.c
--- ext/sysvmsg/sysvmsg.c	5 Jun 2006 22:52:11 -0000	1.20.2.3.2.1
+++ ext/sysvmsg/sysvmsg.c	25 Sep 2006 04:21:18 -0000
@@ -411,7 +411,7 @@
 				break;
 
 			default:
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Message parameter must be either a string or a number.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Message parameter must be either a string or a number");
 				RETURN_FALSE;
 		}
 
Index: ext/tidy/tidy.c
===================================================================
RCS file: /repository/php-src/ext/tidy/tidy.c,v
retrieving revision 1.66.2.8.2.14
diff -u -r1.66.2.8.2.14 tidy.c
--- ext/tidy/tidy.c	15 Sep 2006 14:57:52 -0000	1.66.2.8.2.14
+++ ext/tidy/tidy.c	25 Sep 2006 04:24:08 -0000
@@ -164,7 +164,7 @@
 #define TIDY_SET_DEFAULT_CONFIG(_doc) \
 	if (TG(default_config) && TG(default_config)[0]) { \
 		if (tidyLoadConfig(_doc, TG(default_config)) < 0) { \
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to load Tidy configuration file at '%s'.", TG(default_config)); \
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to load Tidy configuration file at '%s'", TG(default_config)); \
 		} \
 	}
 /* }}} */
@@ -1127,7 +1127,7 @@
 	obj = (PHPTidyObj *) zend_object_store_get_object(return_value TSRMLS_CC);
 
 	if (!(contents = php_tidy_file_to_mem(inputfile, use_include_path, &contents_len TSRMLS_CC))) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory %s", inputfile, (use_include_path) ? "(Using include path)" : "");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory%s", inputfile, (use_include_path) ? " (Using include path)" : "");
 		RETURN_FALSE;
 	}
 
@@ -1441,7 +1441,7 @@
 	
 	if (inputfile) {
 		if (!(contents = php_tidy_file_to_mem(inputfile, use_include_path, &contents_len TSRMLS_CC))) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory %s", inputfile, (use_include_path) ? "(Using include path)" : "");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory%s", inputfile, (use_include_path) ? " (Using include path)" : "");
 			return;
 		}
 
@@ -1472,7 +1472,7 @@
 	}
 	
 	if (!(contents = php_tidy_file_to_mem(inputfile, use_include_path, &contents_len TSRMLS_CC))) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory %s", inputfile, (use_include_path) ? "(Using include path)" : "");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Cannot Load '%s' into memory%s", inputfile, (use_include_path) ? " (Using include path)" : "");
 		RETURN_FALSE;
 	}
 
Index: ext/wddx/wddx.c
===================================================================
RCS file: /repository/php-src/ext/wddx/wddx.c,v
retrieving revision 1.119.2.10.2.6
diff -u -r1.119.2.10.2.6 wddx.c
--- ext/wddx/wddx.c	2 Aug 2006 22:03:47 -0000	1.119.2.10.2.6
+++ ext/wddx/wddx.c	25 Sep 2006 04:24:28 -0000
@@ -461,7 +461,7 @@
 				 zend_hash_get_current_data(HASH_OF(retval), (void **)&varname) == SUCCESS;
 				 zend_hash_move_forward(HASH_OF(retval))) {
 				if (Z_TYPE_PP(varname) != IS_STRING) {
-					php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only containing the names of instance-variables to serialize.");
+					php_error_docref(NULL TSRMLS_CC, E_NOTICE, "__sleep should return an array only containing the names of instance-variables to serialize");
 					continue;
 				}
 
Index: ext/xml/xml.c
===================================================================
RCS file: /repository/php-src/ext/xml/xml.c,v
retrieving revision 1.157.2.4.2.3
diff -u -r1.157.2.4.2.3 xml.c
--- ext/xml/xml.c	15 Aug 2006 22:47:10 -0000	1.157.2.4.2.3
+++ ext/xml/xml.c	25 Sep 2006 04:24:44 -0000
@@ -1503,7 +1503,7 @@
 	ZEND_FETCH_RESOURCE(parser,xml_parser *, pind, -1, "XML Parser", le_xml_parser);
 
 	if (parser->isparsing == 1) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parser cannot be freed while it is parsing.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Parser cannot be freed while it is parsing");
 		RETURN_FALSE;
 	}
 
Index: ext/xmlreader/php_xmlreader.c
===================================================================
RCS file: /repository/php-src/ext/xmlreader/php_xmlreader.c,v
retrieving revision 1.13.2.14.2.4
diff -u -r1.13.2.14.2.4 php_xmlreader.c
--- ext/xmlreader/php_xmlreader.c	16 Sep 2006 18:18:55 -0000	1.13.2.14.2.4
+++ ext/xmlreader/php_xmlreader.c	25 Sep 2006 04:25:40 -0000
@@ -536,11 +536,11 @@
 		}
 	}
 	
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors");
 
 	RETURN_FALSE;
 #else
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml");
 
 	RETURN_FALSE;
 #endif
@@ -985,11 +985,11 @@
 		}
 	}
 	
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to set schema. This must be set prior to reading or schema contains errors");
 
 	RETURN_FALSE;
 #else
-	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml.");
+	php_error_docref(NULL TSRMLS_CC, E_WARNING, "No Schema support built into libxml");
 
 	RETURN_FALSE;
 #endif
@@ -1140,7 +1140,7 @@
 		node = xmlTextReaderExpand(intern->ptr);
 		
 		if (node == NULL) {
-			php_error_docref(NULL TSRMLS_CC, E_WARNING, "An Error Occured while expanding ");
+			php_error_docref(NULL TSRMLS_CC, E_WARNING, "An Error Occured while expanding");
 			RETURN_FALSE;
 		} else {
 			nodec = xmlCopyNode(node, 1);
Index: ext/xsl/xsltprocessor.c
===================================================================
RCS file: /repository/php-src/ext/xsl/xsltprocessor.c,v
retrieving revision 1.39.2.2.2.4
diff -u -r1.39.2.2.2.4 xsltprocessor.c
--- ext/xsl/xsltprocessor.c	31 Jul 2006 13:05:35 -0000	1.39.2.2.2.4
+++ ext/xsl/xsltprocessor.c	25 Sep 2006 04:26:06 -0000
@@ -267,7 +267,7 @@
 		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to call handler %s()", callable);
 		
 	} else if ( intern->registerPhpFunctions == 2 && zend_hash_exists(intern->registered_phpfunctions, callable, strlen(callable) + 1) == 0) { 
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Not allowed to call handler '%s()'.", callable);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Not allowed to call handler '%s()'", callable);
 		// Push an empty string, so that we at least have an xslt result...
 		valuePush(ctxt, xmlXPathNewString(""));
 	} else {
Index: ext/zlib/zlib_filter.c
===================================================================
RCS file: /repository/php-src/ext/zlib/zlib_filter.c,v
retrieving revision 1.6.2.2.2.1
diff -u -r1.6.2.2.2.1 zlib_filter.c
--- ext/zlib/zlib_filter.c	12 Jun 2006 23:28:32 -0000	1.6.2.2.2.1
+++ ext/zlib/zlib_filter.c	25 Sep 2006 04:27:32 -0000
@@ -275,7 +275,7 @@
 	/* Create this filter */
 	data = pecalloc(1, sizeof(php_zlib_filter_data), persistent);
 	if (!data) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes.", sizeof(php_zlib_filter_data));
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes", sizeof(php_zlib_filter_data));
 		return NULL;
 	}
 
@@ -287,14 +287,14 @@
 	data->strm.avail_out = data->outbuf_len = data->inbuf_len = 2048;
 	data->strm.next_in = data->inbuf = (Bytef *) pemalloc(data->inbuf_len, persistent);
 	if (!data->inbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes.", data->inbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes", data->inbuf_len);
 		pefree(data, persistent);
 		return NULL;
 	}
 	data->strm.avail_in = 0;
 	data->strm.next_out = data->outbuf = (Bytef *) pemalloc(data->outbuf_len, persistent);
 	if (!data->outbuf) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes.", data->outbuf_len);
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Failed allocating %ld bytes", data->outbuf_len);
 		pefree(data->inbuf, persistent);
 		pefree(data, persistent);
 		return NULL;
@@ -386,7 +386,7 @@
 					zval_ptr_dtor(tmpzval);
 					break;
 				default:
-					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid filter parameter, ignored.");
+					php_error_docref(NULL TSRMLS_CC, E_WARNING, "Invalid filter parameter, ignored");
 			}
 		}
 		status = deflateInit2(&(data->strm), level, Z_DEFLATED, windowBits, memLevel, 0);
Index: main/output.c
===================================================================
RCS file: /repository/php-src/main/output.c,v
retrieving revision 1.167.2.3
diff -u -r1.167.2.3 output.c
--- main/output.c	27 Mar 2006 08:26:10 -0000	1.167.2.3
+++ main/output.c	25 Sep 2006 04:29:40 -0000
@@ -756,7 +756,7 @@
 	}
 
 	if (!OG(ob_nesting_level)) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to flush buffer. No buffer to flush.");
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to flush buffer. No buffer to flush");
 		RETURN_FALSE;
 	}
 	
@@ -775,12 +775,12 @@
 	}
 	
 	if (!OG(ob_nesting_level)) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer. No buffer to delete.");
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer. No buffer to delete");
 		RETURN_FALSE;
 	}
 
 	if (!OG(active_ob_buffer).status && !OG(active_ob_buffer).erase) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s.", OG(active_ob_buffer).handler_name);
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s", OG(active_ob_buffer).handler_name);
 		RETURN_FALSE;
 	}
 	
@@ -798,11 +798,11 @@
 	}
 	
 	if (!OG(ob_nesting_level)) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete and flush buffer. No buffer to delete or flush.");
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete and flush buffer. No buffer to delete or flush");
 		RETURN_FALSE;
 	}
 	if (OG(ob_nesting_level) && !OG(active_ob_buffer).status && !OG(active_ob_buffer).erase) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s.", OG(active_ob_buffer).handler_name);
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s", OG(active_ob_buffer).handler_name);
 		RETURN_FALSE;
 	}
 	
@@ -820,11 +820,11 @@
 	}
 		
 	if (!OG(ob_nesting_level)) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer. No buffer to delete.");
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer. No buffer to delete");
 		RETURN_FALSE;
 	}
 	if (OG(ob_nesting_level) && !OG(active_ob_buffer).status && !OG(active_ob_buffer).erase) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s.", OG(active_ob_buffer).handler_name);
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s", OG(active_ob_buffer).handler_name);
 		RETURN_FALSE;
 	}
 	
@@ -847,11 +847,11 @@
 	}
 	/* error checks */
 	if (!OG(ob_nesting_level)) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete and flush buffer. No buffer to delete or flush.");
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete and flush buffer. No buffer to delete or flush");
 		RETURN_FALSE;
 	}
 	if (OG(ob_nesting_level) && !OG(active_ob_buffer).status && !OG(active_ob_buffer).erase) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s.", OG(active_ob_buffer).handler_name);
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s", OG(active_ob_buffer).handler_name);
 		RETURN_FALSE;
 	}
 	/* flush */
@@ -872,11 +872,11 @@
 	}
 	/* error checks */
 	if (!OG(ob_nesting_level)) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer. No buffer to delete.");
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer. No buffer to delete");
 		RETURN_FALSE;
 	}
 	if (OG(ob_nesting_level) && !OG(active_ob_buffer).status && !OG(active_ob_buffer).erase) {
-		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s.", OG(active_ob_buffer).handler_name);
+		php_error_docref("ref.outcontrol" TSRMLS_CC, E_NOTICE, "failed to delete buffer %s", OG(active_ob_buffer).handler_name);
 		RETURN_FALSE;
 	}
 	/* delete buffer */
Index: main/streams/filter.c
===================================================================
RCS file: /repository/php-src/main/streams/filter.c,v
retrieving revision 1.17.2.3.2.1
diff -u -r1.17.2.3.2.1 filter.c
--- main/streams/filter.c	19 May 2006 10:24:05 -0000	1.17.2.3.2.1
+++ main/streams/filter.c	25 Sep 2006 04:30:00 -0000
@@ -369,7 +369,7 @@
 				}
 				php_stream_bucket_unlink(bucket TSRMLS_CC);
 				php_stream_bucket_delref(bucket TSRMLS_CC);
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Filter failed to process pre-buffered data.  Not adding to filterchain.");
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Filter failed to process pre-buffered data.  Not adding to filterchain");
 				break;
 			case PSFS_FEED_ME:
 				/* We don't actually need data yet,
Index: main/streams/streams.c
===================================================================
RCS file: /repository/php-src/main/streams/streams.c,v
retrieving revision 1.82.2.6.2.7
diff -u -r1.82.2.6.2.7 streams.c
--- main/streams/streams.c	15 Sep 2006 07:27:21 -0000	1.82.2.6.2.7
+++ main/streams/streams.c	25 Sep 2006 04:30:38 -0000
@@ -1518,7 +1518,7 @@
 		/* BC with older php scripts and zlib wrapper */
 		protocol = "compress.zlib";
 		n = 13;
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Use of \"zlib:\" wrapper is deprecated; please use \"compress.zlib://\" instead.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "Use of \"zlib:\" wrapper is deprecated; please use \"compress.zlib://\" instead");
 	}
 
 	if (protocol)	{
@@ -1760,7 +1760,7 @@
 
 	wrapper = php_stream_locate_url_wrapper(path, &path_to_open, options TSRMLS_CC);
 	if (options & STREAM_USE_URL && (!wrapper || !wrapper->is_url)) {
-		php_error_docref(NULL TSRMLS_CC, E_WARNING, "This function may only be used against URLs.");
+		php_error_docref(NULL TSRMLS_CC, E_WARNING, "This function may only be used against URLs");
 		return NULL;
 	}
 
Index: main/streams/userspace.c
===================================================================
RCS file: /repository/php-src/main/streams/userspace.c,v
retrieving revision 1.31.2.3.2.1
diff -u -r1.31.2.3.2.1 userspace.c
--- main/streams/userspace.c	14 Aug 2006 15:01:29 -0000	1.31.2.3.2.1
+++ main/streams/userspace.c	25 Sep 2006 04:32:10 -0000
@@ -456,7 +456,7 @@
 		} else {
 			/* We failed.  But why? */
 			if (zend_hash_exists(php_stream_get_url_stream_wrappers_hash(), protocol, protocol_len)) {
-				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Protocol %s:// is already defined.", protocol);
+				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Protocol %s:// is already defined", protocol);
 			} else {
 				/* Should never happen */
 				php_error_docref(NULL TSRMLS_CC, E_WARNING, "Unable to register wrapper class %s to %s://", classname, protocol);
